## Apache Zeta Components Manual :: Docs For Class ezcSearchQuery

### Search::ezcSearchQuery

### Interface ezcSearchQuery

Class to create select search backend indepentent search queries.

Source for this file: /Search/src/interfaces/query.php

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcSearchDeleteQuery | Class to create select search backend indepentent search queries.
ezcSearchFindQuery | Class to create select search backend indepentent search queries.

### Method Summary

public ezcSearchQuery | `__construct( $handler , $definition )` Creates a new search query with handler $handler and document definition $definition.
public string | `between( $field , $value1 , $value2 )` Returns a string containing a field/value specifier, and an optional boost value.
public string | `eq( $field , $value )` Returns a string containing a field/value specifier, and an optional boost value.
public string | `lAnd( $... )` Creates an AND clause
public string | `lOr( $... )` Creates an OR clause
public string | `not( $clause )` Creates a NOT clause
public void | `reset( )` Resets the query object for reuse.
public ezcSearchQuery | `where( $clause )` Adds a select/filter statement to the query

### Methods

#### __construct

ezcSearchQuery __construct( ezcSearchHandler $handler , ezcSearchDocumentDefinition $definition )

Creates a new search query with handler $handler and document definition $definition.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$handler` | ezcSearchHandler |
`$definition` | ezcSearchDocumentDefinition |

#### between

string between( string $field , mixed $value1 , mixed $value2 )

Returns a string containing a field/value specifier, and an optional boost value.

The method uses the document definition field type to map the fieldname to a solr fieldname, and the $fieldType argument to escape the values correctly.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$field` | string |
`$value1` | mixed |
`$value2` | mixed |

#### eq

string eq( string $field , mixed $value )

Returns a string containing a field/value specifier, and an optional boost value.

The method uses the document definition field type to map the fieldname to a solr fieldname, and the $fieldType argument to escape the $value correctly. If a definition is set, the $fieldType will be overridden with the type from the definition.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$field` | string |
`$value` | mixed |

#### lAnd

string lAnd( mixed $... )

Creates an AND clause

This method accepts either an array of fieldnames, but can also accept multiple parameters as field names.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$...` | mixed |

#### lOr

string lOr( mixed $... )

Creates an OR clause

This method accepts either an array of fieldnames, but can also accept multiple parameters as field names.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$...` | mixed |

#### not

string not( string $clause )

Creates a NOT clause

This method accepts a clause and negates it.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$clause` | string |

#### reset

void reset( )

Resets the query object for reuse.

#### where

ezcSearchQuery where( string $clause )

Adds a select/filter statement to the query

##### Parameters:

Name | Type | Description
--- | --- | ---
`$clause` | string |

Documentation generated by phpDocumentor 1.4.3